Subject: RE: [Sip] B2BUA

From: Jiri Kuthan <[email-masked]>
Date: Wed, 04 Dec 2002 15:16:25 +0100

I think a better strategy to design reliable IP networks is not to
have stateful elements in the middle. It is sometimes not
easy to achieve, but you don't need to solve the problem what
happens when they fail. 

Besides that, all sort of middleboxes (B2BUA can IMHO be labeled
as app-layer middlebox) have e2e security issues as pointed out
by Christian, and are not free of scalability issues.

I suggest you read RFC3234 -- it covers various issues middleboxes
have, including failure handling.

-Jiri

At 02:36 PM 12/4/2002, Phil Reynolds wrote:

>If a telephone switch crashes you loose all calls...  The telecoms people are clever enough to have thought about that and build redundancy, fault tolerance and failover into their switches.
>
>Maybe some of us IP-telecoms people have thought of similar techniques for SIP intermediaries? 
>
>-----Original Message----- 
>From: Jiri Kuthan [<mailto:[email-masked]>mailto:[email-masked]] 
>Sent: 04 December 2002 12:32 
>To: Christian Huitema; Roy, Radhika R, ALASO; [email-masked] 
>Cc: [email-masked]; [email-masked]; [email-masked] 
>Subject: RE: [Sip] B2BUA 
>
>[...snip...] 
>
>I think there are more issues with B2BUA. A B2BUA's failure affects all current calls :-( 
>
>-Jiri 
>
>_______________________________________________ 
>Sip mailing list  <https://www1.ietf.org/mailman/listinfo/sip>https://www1.ietf.org/mailman/listinfo/sip 
>This list is for NEW development of the core SIP Protocol 
>Use [email-masked] for questions on current sip Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip